Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor.spelling
Class SpellingCorrectionProcessor

    java.lang.Object
      org.eclipse.ui.texteditor.spelling.SpellingCorrectionProcessor

All Implemented Interfaces:
  IQuickAssistProcessor

    public final class SpellingCorrectionProcessor

extends Object
implements IQuickAssistProcessor

Spelling correction processor used to show quick fixes for spelling problems.

Since:
  3.3

Constructor Summary
`SpellingCorrectionProcessor()`

Method Summary
`boolean` `canAssist(IQuickAssistInvocationContext invocationContext)` Tells whether this assistant has assists for the given invocation context.
`boolean` `canFix(Annotation annotation)` Tells whether this processor has a fix for the given annotation.
`ICompletionProposal[]` `computeQuickAssistProposals(IQuickAssistInvocationContext quickAssistContext)` Returns a list of quick assist and quick fix proposals for the given invocation context.
`String` `getErrorMessage()` Returns the reason why this quick assist processor was unable to produce any completion proposals.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpellingCorrectionProcessor

    public SpellingCorrectionProcessor()

Method Detail

### computeQuickAssistProposals

    public ICompletionProposal[] computeQuickAssistProposals(IQuickAssistInvocationContext quickAssistContext)

  Description copied from interface: `IQuickAssistProcessor`
  Returns a list of quick assist and quick fix proposals for the given invocation context.

  Specified by:
    `computeQuickAssistProposals` in interface `IQuickAssistProcessor`
  Parameters:
    `quickAssistContext` - the invocation context
  Returns:
    an array of completion proposals or `null` if no proposals are available

### getErrorMessage

    public String getErrorMessage()

  Description copied from interface: `IQuickAssistProcessor`
  Returns the reason why this quick assist processor was unable to produce any completion proposals.

  Specified by:
    `getErrorMessage` in interface `IQuickAssistProcessor`
  Returns:
    an error message or `null` if no error occurred

### canFix

    public boolean canFix(Annotation annotation)

  Description copied from interface: `IQuickAssistProcessor`
  Tells whether this processor has a fix for the given annotation.

  Note: This test must be fast and optimistic i.e. it is OK to return `true` even though there might be no quick fix.

  Specified by:
    `canFix` in interface `IQuickAssistProcessor`
  Parameters:
    `annotation` - the annotation
  Returns:
    `true` if the assistant has a fix for the given annotation

### canAssist

    public boolean canAssist(IQuickAssistInvocationContext invocationContext)

  Description copied from interface: `IQuickAssistProcessor`
  Tells whether this assistant has assists for the given invocation context.

  Specified by:
    `canAssist` in interface `IQuickAssistProcessor`
  Parameters:
    `invocationContext` - the invocation context
  Returns:
    `true` if the assistant has a fix for the given annotation

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.